/*
 *  Canon Inkjet Printer Driver for Linux
 *  Copyright CANON INC. 2022
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 *
 * NOTE:
 *  - As a special exception, this program is permissible to link with the
 *    libraries released as the binary modules.
 *  - If you write modifications of your own for these programs, it is your
 *    choice whether to permit this exception to apply to your modifications.
 *    If you do not wish that, delete this exception.
*/

#ifndef _COM_DEF_H_
#define _COM_DEF_H_

#define PROC_FAILED		(1)
#define PROC_SUCCEEDED	(0)

// Setting option definitions
#define SETTING_PAPERSIZE                                       "PageSize"
#define SETTING_PAPERTYPE                                       "PaperType"
#define SETTING_INPUTBIN                                        "InputSlot"
#define SETTING_PAPERSAVE                                       "SavePaper"
#define SETTING_PRINTQUALITY                                    "PrintQuality"
#define SETTING_COLORMODE                                       "ColorMode"
#define SETTING_COLORMODE_INTENT                                "ColorIntent"
#define SETTING_PRINTTYPE                                       "PrintType"

#define SETTING_JOBNAME                                         "Jobname"
#define SETTING_USERNAME                                        "Username"
#define SETTING_COMPUTERNAME                                    "Computername"

#define SETTING_SERVICETYPE                                     "ServiceType"
#define SETTING_SERVICETYPE_PRINT                               "Print"
#define SETTING_SERVICETYPE_MAINTENANCE                         "Maintenance"

#define SETTING_MAINTENANCE_TYPE                                "MaintenanceType"
#define SETTING_MAINTENANCE_TYPE_CLEANING                       "Cleaning"
#define SETTING_MAINTENANCE_TYPE_TEST_PRINT                     "TestPrint"
#define SETTING_MAINTENANCE_TYPE_AUTO_ALIGNMENT                 "AutoAlignment"

#define SETTING_PAPERSIZE_CUSTOM                                "Custom"
#define SETTING_PAPERSIZE_CUSTOM_WIDTH                          "PaperSizeCustomWidth"
#define SETTING_PAPERSIZE_CUSTOM_HEIGHT                         "PaperSizeCustomHeight"
#define SETTING_PRINTAREA_LEFT                                  "PrintAreaLeft"
#define SETTING_PRINTAREA_TOP                                   "PrintAreaTop"
#define SETTING_PRINTAREA_WIDTH                                 "PrintAreaWidth"
#define SETTING_PRINTAREA_HEIGHT                                "PrintAreaHeight"

#define SETTING_JOBNAME_MAXLENGTH                               255
#define SETTING_USERNAME_MAXLENGTH                              128
#define SETTING_COMPUTERNAME_MAXLENGTH                          64

#endif
