/*
 *  Canon Inkjet Printer Driver for Linux
 *  Copyright CANON INC. 2022
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 *
 * NOTE:
 *  - As a special exception, this program is permissible to link with the
 *    libraries released as the binary modules.
 *  - If you write modifications of your own for these programs, it is your
 *    choice whether to permit this exception to apply to your modifications.
 *    If you do not wish that, delete this exception.
*/

#ifndef _COM_UTIL_H_
#define _COM_UTIL_H_

#include <stdlib.h>

typedef struct _option_list option_list;

struct _option_list {
  option_list *next;
  char *key;
  char *value;
};

// param_list
option_list *utilCreateOption(const char *key, const char *value);
void utilAddOption(option_list *root, const char *key, const char *value);
void utilUpdateOption(option_list *option, const char *value);
void utilFreeOptionList(option_list *root);
const char *utilFindOptionValue(option_list *root, const char *key);
option_list *utilFindOption(option_list *root, const char *key);

#endif
