/*
 *  Canon Inkjet Printer Driver for Linux
 *  Copyright CANON INC. 2022
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 *
 * NOTE:
 *  - As a special exception, this program is permissible to link with the
 *    libraries released as the binary modules.
 *  - If you write modifications of your own for these programs, it is your
 *    choice whether to permit this exception to apply to your modifications.
 *    If you do not wish that, delete this exception.
*/

#ifndef _LIBCNIVEC_H_
#define _LIBCNIVEC_H_

#include <stdint.h>
#include "com_util.h"

#define IVEC_SUCCESS     0
#define IVEC_FAIL        1

#define LIBNAME_IVEC                        "libcnivec.so"

#define EXPORT_IVECSENDSTARTJOB             "ivecSendStartJob"
#define EXPORT_IVECSENDJOBCONFIGURATION     "ivecSendJobConfiguration"
#define EXPORT_IVECSENDCONFIGURATION        "ivecSendConfiguration"
#define EXPORT_IVECSENDSENDDATA             "ivecSendSendData"
#define EXPORT_IVECSENDCLEANING             "ivecSendCleaning"
#define EXPORT_IVECSENDTESTPRINT            "ivecSendTestPrint"
#define EXPORT_IVECSENDENDJOB               "ivecSendEndJob"

typedef int (*fnIvecSendStartJob)(option_list *options, FILE *fp);
typedef int (*fnIvecSendJobConfiguration)(option_list *options, FILE *fp);
typedef int (*fnIvecSendConfiguration)(option_list *options, FILE *fp);
typedef int (*fnIvecSendSendData)(option_list *options, uint8_t *data, int dataSize, int isContinued, FILE *fp);
typedef int (*fnIvecSendCleaning)(option_list *options, FILE *fp);
typedef int (*fnIvecSendTestPrint)(option_list *options, FILE *fp);
typedef int (*fnIvecSendEndJob)(option_list *options, FILE *fp);

#endif
