/*
 *  CUPS add-on module for Canon Inkjet Printer.
 *  Copyright CANON INC. 2022
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _COMMON_H_
#define _COMMON_H_

#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#include <cups/ppd.h>
#include <cups/cups.h>

#define CMD_BUF_SIZE        (1024*3)

// Variables definiation
extern int g_cancel_job;
extern int g_filter_pid;

// Functions definiation
void sigtermHandler(int sigcode);
int getPrintSettings(char *arg, cups_option_t **options, int *num_opt);
int getAdditionalPrintSettings(char *userName, char *jobName,cups_option_t **options, int *num_opt);
int makeExecCommand(char **cmd_buf, cups_option_t *options, int num_opt);
int execFilter(char **cmd_buf, int fds[2]);
int sendData(int fdin, int fdout);
int addOption(const char *name, const char *value, int num_options, cups_option_t **options);
int setPrintAreaOption(ppd_file_t *ppd, cups_option_t **options, int *num_opt);

#endif